From: "Jimi Huotari" <chiitoo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/wine:master commit in: app-emulation/winetricks/
Date: Mon, 18 Jan 2021 02:42:08 +0000 (UTC) [thread overview]
Message-ID: <1610936380.3469965598ae6ee79fb864ea8d86e6c6a0b005d2.chiitoo@gentoo> (raw)
commit: 3469965598ae6ee79fb864ea8d86e6c6a0b005d2
Author: Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 18 01:05:10 2021 +0000
Commit: Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Mon Jan 18 02:19:40 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/wine.git/commit/?id=34699655
app-emulation/winetricks: fix conditions for desktop and icon files
Also remove inheriting 'desktop' since it's no longer used.
Bug: https://bugs.gentoo.org/749029
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>
app-emulation/winetricks/winetricks-99999999.ebuild | 12 +++++-------
1 file changed, 5 insertions(+), 7 deletions(-)
diff --git a/app-emulation/winetricks/winetricks-99999999.ebuild b/app-emulation/winetricks/winetricks-99999999.ebuild
index 3b4cea7..89dcbb5 100644
--- a/app-emulation/winetricks/winetricks-99999999.ebuild
+++ b/app-emulation/winetricks/winetricks-99999999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit desktop xdg
+inherit xdg
if [[ ${PV} == "99999999" ]] ; then
EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git"
@@ -84,10 +84,8 @@ src_test() {
src_install() {
default
- if use gtk || use kde; then
- cd "${WORKDIR}/${wtg}" || die
- domenu winetricks.desktop
- insinto /usr/share/icons/hicolor/scalable/apps
- doins wine-winetricks.svg
+ if ! use gtk && ! use kde; then
+ rm -r "${ED}"/usr/share/applications || die
+ rm -r "${ED}"/usr/share/icons || die
fi
}
next reply other threads:[~2021-01-18 2:42 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-18 2:42 Jimi Huotari [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-04-11 13:55 [gentoo-commits] repo/proj/wine:master commit in: app-emulation/winetricks/ Jimi Huotari
2022-04-11 13:55 Jimi Huotari
2021-08-25 18:30 Jimi Huotari
2021-04-16 21:09 Jimi Huotari
2021-04-16 21:09 Jimi Huotari
2021-02-22 13:25 Jimi Huotari
2021-02-22 13:25 Jimi Huotari
2021-01-18 2:42 Jimi Huotari
2020-11-17 0:32 Jimi Huotari
2020-11-17 0:32 Jimi Huotari
2020-11-17 0:32 Jimi Huotari
2020-06-30 14:02 Jimi Huotari
2020-04-15 12:43 Jimi Huotari
2019-12-25 0:58 Nick Sarnie
2019-12-25 0:56 Nick Sarnie
2019-12-25 0:56 Nick Sarnie
2019-12-24 21:50 Jimi Huotari
2019-11-26 15:32 Jimi Huotari
2019-11-26 15:32 Jimi Huotari
2019-09-16 21:45 Jimi Huotari
2019-09-13 11:35 Jimi Huotari
2019-06-21 8:37 Jimi Huotari
2019-05-27 8:42 Jimi Huotari
2019-05-27 8:42 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-01-17 21:18 Jimi Huotari
2019-01-17 21:18 Jimi Huotari
2018-08-30 9:01 Jimi Huotari
2018-08-30 9:01 Jimi Huotari
2018-06-03 17:05 Nick Sarnie
2018-05-16 14:33 Jimi Huotari
2018-04-12 9:51 Jimi Huotari
2018-04-12 9:51 Jimi Huotari
2018-01-20 12:30 Jimi Huotari
2018-01-14 18:00 Jimi Huotari
2018-01-14 18:00 Jimi Huotari
2018-01-14 18:00 Jimi Huotari
2018-01-14 18:00 Jimi Huotari
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1610936380.3469965598ae6ee79fb864ea8d86e6c6a0b005d2.chiitoo@gentoo \
--to=chiitoo@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox